/*
 * Copyright (C) 2012 Alex Kuiper
 *
 * This file is part of PageTurner
 *
 * PageTurner is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * PageTurner is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PageTurner.  If not, see <http://www.gnu.org/licenses/>.*
 */
package net.nightwhistler.nucular.atom;

public final class AtomConstants {
	
	public static final String TYPE_ATOM = "application/atom+xml";
	public static final String TYPE_EPUB = "application/epub+zip";
	
	public static final String TYPE_OPENSEARCH = "application/opensearchdescription+xml";

	public static final String REL_THUMBNAIL = "http://opds-spec.org/image/thumbnail";
	public static final String REL_THUMBNAIL_ALT = "http://opds-spec.org/thumbnail";
	
	public static final String REL_STANZA_COVER_IMAGE = "x-stanza-cover-image";
	public static final String REL_STANZA_THUMBNAIL_IMAGE = "x-stanza-cover-image-thumbnail";
	public static final String REL_STANZA_BUY = "bookinfo";
	
	public static final String REL_BUY = "http://opds-spec.org/acquisition/buy";	
	public static final String REL_IMAGE = "http://opds-spec.org/image";
	public static final String REL_COVER = "http://opds-spec.org/cover";
	
	public static final String REL_ALTERNATE = "alternate";
    public static final String REL_RELATED = "related";
    public static final String REL_WEBSITE = "website";
	

	public static final String REL_NEXT = "next";
	public static final String REL_SEARCH = "search";
	public static final String REL_PREV = "previous";

    public static final String SEARCH_TERMS = "{searchTerms}";


}
